function raw16data = raw12to16(raw12data)

numpixels = length(raw12data) * 2/3;
% split into bytes
raw12data = reshape(raw12data, 3,  numpixels/2);
% repack to upper 12 bits of 16 bit value
raw16data = zeros(1, numpixels);
raw16data(1:2:end) = 256*floor(raw12data(2,:)/16) + raw12data(1,:);
raw16data(2:2:end) = 16*raw12data(3,:) + mod(raw12data(2,:),16);
